com.fasterxml.jackson.dataformat.avro.ser

## Class ArrayWriteContext

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.ser.AvroWriteContext
    - - com.fasterxml.jackson.dataformat.avro.ser.ArrayWriteContext

-     public final class ArrayWriteContext
      extends AvroWriteContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.avro.generic.GenericArray<Object>` | `_array`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.ser.AvroWriteContext

      `_currentValue, _generator, _parent, _schema`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayWriteContext(AvroWriteContext parent, AvroGenerator generator, org.apache.avro.generic.GenericArray<Object> array)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendDesc(StringBuilder sb)`
    `AvroWriteContext` | `createChildArrayContext()`
    `AvroWriteContext` | `createChildObjectContext()`
    `AvroWriteContext` | `createChildObjectContext(Object object)`
    `Object` | `rawValue()` Accessor called to link data being built with resulting object.
    `void` | `writeNull()`
    `void` | `writeString(String value)`
    `void` | `writeValue(Object value)`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.ser.AvroWriteContext

      `_createArray, _createObjectContext, _createObjectContext, _createRecord, _recordOrMapFromUnion, canClose, complete, createRootContext, getCurrentName, getCurrentValue, getParent, nullContext, resolveUnionIndex, resolveUnionSchema, resolveUnionType, setCurrentValue, toString, writeFieldName`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getEntryCount, getStartLocation, getTypeDesc, hasCurrentIndex, hasCurrentName, hasPathSegment, inArray, inObject, inRoot, pathAsPointer, pathAsPointer, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _array

          protected final org.apache.avro.generic.GenericArray<Object> _array

  - ### Constructor Detail

    - #### ArrayWriteContext

          public ArrayWriteContext(AvroWriteContext parent,
                           AvroGenerator generator,
                           org.apache.avro.generic.GenericArray<Object> array)

  - ### Method Detail

    - #### rawValue

          public Object rawValue()

      Description copied from class: `AvroWriteContext`
      Accessor called to link data being built with resulting object.
      Specified by:
        `rawValue` in class `AvroWriteContext`

    - #### createChildArrayContext

          public final AvroWriteContext createChildArrayContext()
                                                         throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `createChildArrayContext` in class `AvroWriteContext`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### createChildObjectContext

          public final AvroWriteContext createChildObjectContext()
                                                          throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `createChildObjectContext` in class `AvroWriteContext`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### createChildObjectContext

          public AvroWriteContext createChildObjectContext(Object object)
                                                    throws com.fasterxml.jackson.databind.JsonMappingException

      Overrides:
        `createChildObjectContext` in class `AvroWriteContext`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### writeValue

          public void writeValue(Object value)

      Specified by:
        `writeValue` in class `AvroWriteContext`

    - #### writeString

          public void writeString(String value)

      Specified by:
        `writeString` in class `AvroWriteContext`

    - #### writeNull

          public void writeNull()
                         throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `writeNull` in class `AvroWriteContext`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### appendDesc

          public void appendDesc(StringBuilder sb)

      Specified by:
        `appendDesc` in class `AvroWriteContext`

Copyright © 2017 FasterXML. All rights reserved.